# $Revision: 1.17 $, $Date: 2002/08/18 12:56:57 $
Summary:	Collection of SHAREWARE ATM Fonts for Linux
Summary(pl):	Kolekcja czcionek SHAREWARE ATM dla Linuksa
Name:		sharefonts
Version:	0.10
Release:	12
License:	Shareware
Group:		X11/Fonts
Source0:	ftp://sunsite.unc.edu/pub/Linux/X11/fonts/%{name}-%{version}.tar.gz
Source1:	%{name}.Fontmap
Prereq:		textutils
Prereq:		sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	%{_fontsdir}/Type1

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This is a collection of 21 fonts from the CICA archives that are
shareware. NOTICE: They are not free. You have to pay a fee for
constant use. They are licensed by the authors not by me. Read the
<font>.shareware notices for each font to find out how to license
them. I have just collected them and put them into a usable format for
X11. The collection was motivated by the lack of good fonts for Linux
especially X11 and ghostscript. Scaled bitmaps look really ugly!

%description -l pl
To jest kolekcja 21 shareware'owych czcionek, pochodzcych z archiww
CICA. UWAGA: Nie s one za darmo. Musisz uici opat jeli chcesz
ich uywa duej, ni to przewiduje ich status. Zapoznaj si z
informacjami w plikach <czcionka>.shareware, by dowiedzie si, jak
zdoby licencj na ich uywanie.

%prep
%setup -q -n sharefont

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_t1fontsdir}
install *.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
tail -n +2 fonts.dir > $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap

%postun
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* 2>/dev/null | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap 2>/dev/null

%files
%defattr(644,root,root,755)
%doc README *.shareware
%{_t1fontsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sharefonts.spec,v $
Revision 1.17  2002/08/18 12:56:57  blues
- release 12 - license fix, new doc

Revision 1.16  2002/07/03 09:24:06  wolf
- spelling

Revision 1.15  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/17 00:12:04  blues
- Copyright -> License

Revision 1.11  2001/04/15 20:23:57  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed

Revision 1.10  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.9  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  1999/07/16 00:12:33  pius
- added pl translation,
- cosmetic changes.

Revision 1.6  1999/07/14 15:34:11  baggins
- FHS 2.0
- gziping docs

Revision 1.5  1999/07/12 23:06:14  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu Jul 23 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.10-10]
- added "Requires: type1inst >= 0.6.1",
- fixed %defattr.

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %%{name} macro in Buildroot and Source fields.

* Fri Apr 17 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- Buildroot changed to /tmp/freefonts-%%{PACKAGE_VERSION}-root,
- added %%{PACKAGE_VERSION} to Source url,
- replaced "mkdir -p" with "install -d" in %install,
- simplification in %files,
- added beter font (un)registration in font.scale by using for this
  type1inst perl script (changed %post, %postun),
- added %defattr macro in %files (allows building package from
  non-root account); %defattr requires rpm >= 2.4.99.

* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
Moved to noarch architecture
